Package: org.apache.groovy.contracts

## [Java] Class LoopInvariantViolation

- org.apache.groovy.contracts.LoopInvariantViolation

-     public class LoopInvariantViolation
      extends AssertionViolation

  Thrown whenever a loop invariant violation occurs.

  See Also:
    AssertionViolation
  Since:
    6.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LoopInvariantViolation()` Creates a loop-invariant violation without an explicit detail message.
    `LoopInvariantViolation(Object o)` Creates a loop-invariant violation with an object-valued detail.
    `LoopInvariantViolation(boolean b)` Creates a loop-invariant violation with a boolean detail.
    `LoopInvariantViolation(char c)` Creates a loop-invariant violation with a character detail.
    `LoopInvariantViolation(int i)` Creates a loop-invariant violation with an integer detail.
    `LoopInvariantViolation(long l)` Creates a loop-invariant violation with a long detail.
    `LoopInvariantViolation(float f)` Creates a loop-invariant violation with a floating-point detail.
    `LoopInvariantViolation(double d)` Creates a loop-invariant violation with a double-precision detail.

- - ### Constructor Detail

    - #### public LoopInvariantViolation()

      Creates a loop-invariant violation without an explicit detail message.

    - #### public LoopInvariantViolation(Object o)

      Creates a loop-invariant violation with an object-valued detail.

      Parameters:
        `o` - the detail object

    - #### public LoopInvariantViolation(boolean b)

      Creates a loop-invariant violation with a boolean detail.

      Parameters:
        `b` - the detail value

    - #### public LoopInvariantViolation(char c)

      Creates a loop-invariant violation with a character detail.

      Parameters:
        `c` - the detail value

    - #### public LoopInvariantViolation(int i)

      Creates a loop-invariant violation with an integer detail.

      Parameters:
        `i` - the detail value

    - #### public LoopInvariantViolation(long l)

      Creates a loop-invariant violation with a long detail.

      Parameters:
        `l` - the detail value

    - #### public LoopInvariantViolation(float f)

      Creates a loop-invariant violation with a floating-point detail.

      Parameters:
        `f` - the detail value

    - #### public LoopInvariantViolation(double d)

      Creates a loop-invariant violation with a double-precision detail.

      Parameters:
        `d` - the detail value